TopGuest 1.1 버그패치

2007년 상반기, 제 블로그 Top20 방문자를 발표합니다! 에서 공개했던 TopGuest 프로그램이 mysql 서버 환경에 따라 쿼리오류가 나는 일이 발생했습니다.  그래서 새로 오류를 고쳐서 1.1로 버전업했습니다. 오류를 발생시켜서 죄송합니다.

설치법

  1. 프로그램을 다운받아 압축을 풀고, 태터툴즈가 설치된 디렉토리에 업로드한다.
  2. 프로그램의 주소를 웹브라우저에서 입력해 실행한다. 예) http://draco.pe.kr/TopGuest.php
  3. 원하는 기간을 입력해서 결과를 뽑는다.

 

주의사항

※ 멀티유저 방식의 태터툴즈일 경우 userid 숫자를 주소 뒤에 넣어주셔야 됩니다.
예) http://draco.pe.kr/TopGuest.php?userid=1

※ TextCube 1.5로 업데이트 하신 분은 TopGuest.php의 76번째 줄 중간 부분의 `owner` = $userid 부분을 `blogid` = $userid 로 고쳐주시면 정상 작동합니다. 텍스트큐브를 공부해서 두 버전다 호환되도록 나중에 정식 업데이트 하겠습니다.

 

텍스트 큐브와 테터툴즈 구조가 조금씩 달라서 플러그인 개발하시는 분들은 여러모로 고생 하시겠어요. -_-;

글쓴이 : Draco (https://draco.pe.kr)
크리에이티브 커먼즈 라이선스 이 글은 CCL 저작자표시 3.0에 따라 원작자를 표시할 경우 자유롭게 이용할 수 있습니다.

1 Response

  1. 칫솔 댓글:

    오.. 이제 잘 됩니다..
    수고 많으셨어용~ ^^